Skip to main content
`Ctrl`+`K`

# KSPGuessType

String with the name of a PETSc initial guess approach for Krylov methods.

## Synopsis

    typedef const char *KSPGuessType;
    #define KSPGUESSFISCHER "fischer"
    #define KSPGUESSPOD     "pod"

## Values

- `KSPGUESSFISCHER` - methodology developed by Paul Fischer

- `KSPGUESSPOD` - methodology based on proper orthogonal decomposition (POD)

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGuess`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages